package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkFinanceOrderBackflowRequest struct {
	/*
	   财务订单回流入参     */
	FinanceOrderDetailRequest *domain.AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest `json:"finance_order_detail_request" required:"true" `
}

func (s *AlibabaWdkFinanceOrderBackflowRequest) SetFinanceOrderDetailRequest(v domain.AlibabaWdkFinanceOrderBackflowFinanceOrderDetailRequest) *AlibabaWdkFinanceOrderBackflowRequest {
	s.FinanceOrderDetailRequest = &v
	return s
}

func (req *AlibabaWdkFinanceOrderBackflowRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.FinanceOrderDetailRequest != nil {
		paramMap["finance_order_detail_request"] = util.ConvertStruct(*req.FinanceOrderDetailRequest)
	}
	return paramMap
}

func (req *AlibabaWdkFinanceOrderBackflowRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
